/* Copyright (c) 2010 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT. 
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 * $LastChangedRevision:  $
 */ 
#ifndef SYSTEM_H__
#define SYSTEM_H__

void SystemInit(void);

#define HAL_IO_RADIO_CSN       HAL_IO_P03 // Slave select
#define HAL_IO_RADIO_ACTIVE    HAL_IO_P22 // J6 24
#define HAL_IO_RADIO_REQN      HAL_IO_P03 // J6 22
#define HAL_IO_RADIO_RDY       HAL_IO_P16 // J6 14
#define HAL_IO_RADIO_SCK       HAL_IO_P15 // J6 13
#define HAL_IO_RADIO_MOSI      HAL_IO_P18 // J6 11
#define HAL_IO_RADIO_MISO      HAL_IO_P17 // J6 12
#define HAL_IO_RADIO_RST       HAL_IO_P25 // J6 17

#define HAL_IO_LED0            HAL_IO_P00
#define HAL_IO_LED1            HAL_IO_P01

#define ENABLE_INTERRUPTS()       do { __enable_irq(); } while(0)
#define DISABLE_INTERRUPTS()      do { __disable_irq(); } while(0)
#define ARE_INTERRUPTS_ENABLED()  (__get_PRIMASK() == 0);

#endif // SYSTEM_H__
